# Create an Earthworm environment on Linux!
# This file should be sourced by a bourne shell wanting 
# to run or build an EARTHWORM system under Linux.

# for running EW on a linux box if any ports are used, make sure that your
# selected ports for wave_serverV or exports are below the range specified
# by your kernel for dynamic port allocation 
# (see sysctl net.ipv4.ip_local_port_range)

# Set environment variables describing your Earthworm directory/version

export EW_HOME=/earthworm
export EW_INSTALL_HOME=/earthworm
export EW_INSTALL_VERSION=current
export EW_VERSION=current
export EW_RUN_DIR=/earthworm/run

# this next env var is required if you run statmgr:
export SYS_NAME=`hostname`

# Set environment variables used by earthworm modules at run-time
# Path names must end with the slash "/"
export EW_INSTALLATION=INST_HVO
export EW_PARAMS=/earthworm/run/params/
export EW_LOG=/data/earthworm/logs/
export EW_DATA_DIR=/data/earthworm/

export EW_PYTHON=/home/aqms/.conda/envs/aqms-python/bin/python

export PATH=/earthworm/current/bin:$PATH
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib:/usr/local/lib:/aqms/lib

alias aqpsql='psql -U ${DB_USER} -d ${DB_NAME}'
alias aqenv="env | sort | grep 'DB_\|EW_\|AQMS_\|TPP_\|SCRIPT_\|PERL_'"
alias aq='cd /aqms'
alias aqlog='cd /data/aqms/logs'
alias ew='cd /earthworm/run/params'
alias ewlog='cd /data/earthworm/logs'
alias pdl='cd /data/ProductClient'
alias snw='cd /data/snw'
alias wws='cd /winston'
alias www='cd /var/www/html'

umask 0002
