#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <time_ew.h>
#include <earthworm.h>


/**************************************************************
  SetPcClock

  This is the Unix version of SetPcClock.
  Set the PC clock to time from the GPS receiver.
  Time is accurate to only one second.
  Note that we aren't correcting for the GetGpsDelay msec
  after the 1-PPS pulse before requesting GPS time.
  Root privilege is required to set the system clock.

  tgps = Time from the GPS clock.
 **************************************************************/

void SetPcClock( time_t tgps )
{
   struct tm  gmt;
   int  year, month, day, hour, min, sec;
   char buff[32];

   gmtime_ew( &tgps, &gmt );
   year   = gmt.tm_year + 1900;
   month  = gmt.tm_mon + 1;
   day    = gmt.tm_mday;
   hour   = gmt.tm_hour;
   min    = gmt.tm_min;
   sec    = gmt.tm_sec;

/* Create a date command to send to the system.
   Sample date string: "2020-02-17 16:21:42"
   *******************************************/
   sprintf( buff, "date -s \"%04d-%02d-%04d %02d:%02d:%02d\"",
            year, month, day, hour, min, sec);

/* Execute formatted command using system().
   Root privilege is required.
   ****************************************/
   system( buff );
   return;
}

