#ifndef REPORT_GM_H
#define REPORT_GM_H

#define STAFILE_LEN 256
typedef struct {
        char   name[STAFILE_LEN]; /* Name of station file */
        int    nsta;              /* number of channels configure in this file */
} STAFILE;

typedef  struct {
      double value;
      char   chan[4];          /* Component code */
      double time; 
} PG_VALUES;
typedef struct {
   PG_VALUES pga;
   PG_VALUES pgv;
} PG_TABLE_ENTRY;

typedef struct {
        char   sta[6];           /* Station name */
        char   net[3];           /* Network code */
        char   loc[3];           /* Location code */
        int    inst;   // for instrument type 1-Acc 2-BB 3-Short Period does not use for magnitude determination
        int    srate;
        double gain;
        double lat;
        double lon;
        double dt;	// 1/samprate

        // report_gm specific
        double time;
        int latency;
	int last_saved_index;
	PG_TABLE_ENTRY *pg_table;
} STATION;

#endif
