###!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
app to return waveform windows as either png or mseed
from configured waveserver_V instances

:copyright:
    Mike Hagerty (m.hagerty@isti.com), 2022
:license:
    GNU Lesser General Public License, Version 3
    (https://www.gnu.org/copyleft/lesser.html)
"""


from codecs import open
from os import path
from setuptools import setup, find_packages

import ewave_plot
#import versioneer

here = path.abspath(path.dirname(__file__))

#with open(path.join(here, 'README.rst'), encoding='utf-8') as readme_file:
    #readme = readme_file.read()

readme = "This is where README.rst goes"
history = "This is where HISTORY.rst goes"

#with open(path.join(here, 'HISTORY.rst'), encoding='utf-8') as history_file:
    #history = history_file.read().replace('.. :changelog:', '')

requirements = [
    # TODO: put package requirements here
    'numpy',
    'obspy',
    #'PyQt5',
    'flask',
    #'flask-bootstrap',
    'flask-restful',
    'flask-wtf',
]

test_requirements = [
    # TODO: put package test requirements here
        'tox',
        'pytest',
        'pytest-runner',
]

cli_requirements = [
        #'click',
]
develop_requirements = test_requirements + cli_requirements

#   version=aqms_pdl.__version__,

setup(
    name='ewave-plot',
    #version=versioneer.get_version(),
    version='0.0.1',
    #cmdclass=versioneer.get_cmdclass(),
    description="Restful interface to wave_serverV server",
    long_description=readme + '\n\n' + history,
    author="Mike Hagerty",
    author_email='mhagerty@isti.com',
    url='https://gitlab.isti.com/mhagerty/ewave-plot',
    packages=find_packages(exclude=['contrib', 'docs', 'tests']),
    entry_points={
        'console_scripts':[
            'ewave-plot=ewave_plot.ewave_plot:main',
            #'pdl-to-SA=aqms_pdl.pdl_to_SA:main',
            ],
        },
    include_package_data=True,
    package_data={
        #'seismic_format':['formats/format*']
    },
    #data_files=[('my_data', ['test_data/*'])],
    install_requires=requirements,
    license="MIT",
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
    ],
    test_suite='tests',
    tests_require=test_requirements,
    extras_require={ # MTH: eg, >pip install pkg[cli]
        'cli': cli_requirements,
        'develop': develop_requirements,
        }
)
